# Generated by Django 3.1.1 on 2020-10-11 08:56

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Loan',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.CharField(choices=[('NEW', 'NEW'), ('Top Up', 'Top Up'), ('Emergency', 'Emergency')], max_length=100, null=True)),
                ('date_created', models.DateField(auto_now_add=True, null=True)),
                ('description', models.CharField(max_length=200, null=True)),
                ('initial_amount', models.FloatField(null=True)),
                ('interest', models.FloatField(default=2, null=True)),
                ('amount', models.FloatField(null=True)),
                ('disbursed', models.FloatField(null=True)),
                ('approved', models.BooleanField(null=True)),
                ('staff_id', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Contribution',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_created', models.DateField(auto_now_add=True, null=True)),
                ('description', models.CharField(max_length=200)),
                ('amount', models.FloatField(null=True)),
                ('staff_id', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
